| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ProtocolTreeItem Class Reference
Inheritance diagram for ProtocolTreeItem:

## Public Member Functions
| ProtocolTreeItem (protocol_t *proto, EnabledProtocolItem *parent)
Public Member Functions inherited from EnabledProtocolItem
| EnabledProtocolItem (QString name, QString description, bool enabled, EnabledProtocolItem *parent)
| Constructs a new EnabledProtocolItem.
virtual | ~EnabledProtocolItem ()
| Destroys the EnabledProtocolItem.
QString | name () const
| Retrieves the name of the protocol.
QString | description () const
| Retrieves the description of the protocol.
bool | enabled () const
| Checks if the protocol is currently marked as enabled.
void | setEnabled (bool enable)
| Sets the enabled state of the protocol.
EnableProtocolType | type () const
| Retrieves the type of the protocol item.
bool | applyValue ()
| Applies the current enabled value to the underlying core structures.
Public Member Functions inherited from ModelHelperTreeItem< EnabledProtocolItem >
| ModelHelperTreeItem (EnabledProtocolItem *parent)
| Constructs a new ModelHelperTreeItem.
virtual | ~ModelHelperTreeItem ()
| Destroys the ModelHelperTreeItem and its children.
void | appendChild (EnabledProtocolItem *child)
| Appends a child item to the end of the children list.
void | prependChild (EnabledProtocolItem *child)
| Prepends a child item to the beginning of the children list.
void | insertChild (int row, EnabledProtocolItem *child)
| Inserts a child item at the specified row.
void | removeChild (int row)
| Removes and deletes the child item at the specified row.
EnabledProtocolItem * | child (int row)
| Retrieves the child item at the specified row.
int | childCount () const
| Gets the total number of child items.
int | row ()
| Gets the row index of this item relative to its parent.
EnabledProtocolItem * | parentItem ()
| Retrieves the parent item.

## Protected Member Functions
virtual void | applyValuePrivate (bool value) override
| Implements the specific logic to apply the value change to the core.

## Additional Inherited Members
Public Types inherited from EnabledProtocolItem
enum | EnableProtocolType { Any , Standard , Heuristic }
| Defines the type of enabled protocol. More...
Protected Attributes inherited from EnabledProtocolItem
QString | name_
QString | description_
bool | enabled_
bool | enabledInit_
EnableProtocolType | type_
Protected Attributes inherited from ModelHelperTreeItem< EnabledProtocolItem >
EnabledProtocolItem * | parent_
QList< QVariant > | childItems_

## Member Function Documentation

## ◆ applyValuePrivate()

virtual void ProtocolTreeItem::applyValuePrivate | ( | bool | value | ) |
| inline override protected virtual

Implements the specific logic to apply the value change to the core.

Parameters

  value | The value to apply.

Implements EnabledProtocolItem.

The documentation for this class was generated from the following file:

- /builds/wireshark/wireshark/ui/qt/models/enabled_protocols_model.cpp